function figureheader (h,txt)

% FIGUREHEADER (AXHANDLE, TXT)
%
% Draw a multiline figure header.
%
% AXHANDLE is axis handle for the axis where the text is drawn.
% TXT{n} contains the n'th line of the header.   

% 24-Oct-2005 Jm
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

cla
set(h,  'xticklabel',[],...
        'yticklabel',[],...
        'xtick',[],...
        'ytick',[],...
        'box','off',...
        'color',[1 1 1]);
        
N = length(txt);        
n = N:-1:1;
y = (2*n-1)/(2*N);
for k = 1:N
    hh = text(0.02,y(k),txt{k});
    set(hh,...
        'Color',[0 0 0],...
        'VerticalAlignment','middle'...
        );
        set(hh,'fontsize',12);

end    

%end %figureheader

