function plot_beamwidth

set(0,'defaultaxesfontsize',14);
d2r = pi/180;
r2d = 180/pi;

th0 = linspace (0,90,1000);

M = [10:10:50];
D = 1.5;

getfigure ('beamwidth', [0.25 2.5 6 6], 400);

    for m = 1:length(M)
        w{m} = beamwidth (D,D, M(m), M(m), 0, th0*d2r, 0.5) * r2d;
        h = plot (th0,w{m});
        set (h, 'linewidth',1.5);
        hold on
        h = text (5,10-m*0.8,sprintf ('M=%d  D=%1.1f  W(0) = %1.2f\\circ', ...
                                            M(m), D, w{m}(1)));
    end

    set (gca,'layer','top');
    set (gca,'tickdir','out');
    set (gca,'ticklength',[0.02 0.025]);
    set (gca,'xlim',[0 80]);
    set (gca,'ylim',[0 10]);
    xlabel ('Polar angle (\circ)');
    ylabel ('Beam width (\circ)');

    hold off

